at.chipkarte.client.bkf.soap

## Class SCREndergebnis

- Object
- - at.chipkarte.client.bkf.soap.SCREndergebnis

-     public class SCREndergebnis
      extends Object

  Diese Klasse enthält die Daten des Endergebnisses der ScreeningDoku.
  ParameterID: 0170.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SCREndergebnis()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getArtUntersuchung()` Art der Untersuchung.
    `String` | `getBefundungsZeitstempel()` Zeitstempel der Befundung.
    `String` | `getDichte()` Ergebnis Dichte (D-SCORE).
    `String` | `getDoppelbefundung()` Setting der Doppelbefundung.
    `String` | `getEndergebnis()` Endergebnis (SC-SCORE).
    `String` | `getGroesseLinks()` Größe der Läsion links in mm.
    `String` | `getGroesseRechts()` Größe der Läsion rechts in mm.
    `String` | `getInakzeptabel()` Zumindest eine Aufnahme war radiologisch inakzeptabel.
    `String` | `getInfoDatum()` Datum, ab dem der Befund versand- / abholbereit ist.
    `String` | `getPatientID()` ID der Patientin in der Vertragspartnersoftware.
    `String` | `getTechnZusatzaufnahme()` Zumindest eine Aufnahme musste aus technischen Gründen wiederholt werden.
    `String` | `getTomosynthese()` Tomosynthese durchgeführt.
    `String` | `getVorgehen()` Weiteres Vorgehen bei Endergebnis gleich SC3.
    `String` | `getWiederbestellung()` Grund für eine Wiederbestellung.
    `String` | `getZusatzaufnahmen()` Aus medizinischen beziehungsweise anatomischen Gründen wurden mammographische Zusatzaufnahmen durchgeführt.
    `String` | `getZustimmungFeedback()` Zustimmung zu Feedbackbericht.
    `void` | `setArtUntersuchung(String artUntersuchung)`
    `void` | `setBefundungsZeitstempel(String befundungsZeitstempel)`
    `void` | `setDichte(String dichte)`
    `void` | `setDoppelbefundung(String doppelbefundung)`
    `void` | `setEndergebnis(String endergebnis)`
    `void` | `setGroesseLinks(String groesseLinks)`
    `void` | `setGroesseRechts(String groesseRechts)`
    `void` | `setInakzeptabel(String inakzeptabel)`
    `void` | `setInfoDatum(String infoDatum)`
    `void` | `setPatientID(String patientID)`
    `void` | `setTechnZusatzaufnahme(String technZusatzaufnahme)`
    `void` | `setTomosynthese(String tomosynthese)`
    `void` | `setVorgehen(String vorgehen)`
    `void` | `setWiederbestellung(String wiederbestellung)`
    `void` | `setZusatzaufnahmen(String zusatzaufnahmen)`
    `void` | `setZustimmungFeedback(String zustimmungFeedback)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SCREndergebnis

          public SCREndergebnis()

  - ### Method Detail

    - #### getBefundungsZeitstempel

          public String getBefundungsZeitstempel()

      Zeitstempel der Befundung.
      Angabe: Muss.
      Muss größer oder gleich den BefundungsZeitstempel von SCRMammographieErstbefunder, SCRMammographieZweitbefunder und SCRUltraschall (sofern SCRUltraschall angegeben wurde) sein und darf nicht mehr als 5 Minuten in der Zukunft liegen. Muss größer oder gleich dem Leistungsdatum bzw. dem Behandlungsdatum der gewählten Konsultation sein.
      Format: TT.MM.JJJJ hh:mm:ss
      ParameterID: 0185.
      Returns:
        BefundungsZeitstempel

    - #### setBefundungsZeitstempel

          public void setBefundungsZeitstempel(String befundungsZeitstempel)

    - #### getZusatzaufnahmen

          public String getZusatzaufnahmen()

      Aus medizinischen beziehungsweise anatomischen Gründen wurden mammographische Zusatzaufnahmen durchgeführt.
      Angabe: Muss.
      Mögliche Werte siehe `JaNeinTypConstant`.
      ParameterID: 0173.
      Returns:
        Zusatzaufnahmen

    - #### setZusatzaufnahmen

          public void setZusatzaufnahmen(String zusatzaufnahmen)

    - #### getInakzeptabel

          public String getInakzeptabel()

      Zumindest eine Aufnahme war radiologisch inakzeptabel.
      Angabe: Muss.
      Mögliche Werte siehe `JaNeinTypConstant`.
      ParameterID: 0172.
      Returns:
        Inakzeptabel

    - #### setInakzeptabel

          public void setInakzeptabel(String inakzeptabel)

    - #### getTechnZusatzaufnahme

          public String getTechnZusatzaufnahme()

      Zumindest eine Aufnahme musste aus technischen Gründen wiederholt werden.
      Angabe: Muss.
      Mögliche Werte siehe `JaNeinTypConstant`.
      ParameterID: 0174.
      Returns:
        TechnZusatzaufnahme

    - #### setTechnZusatzaufnahme

          public void setTechnZusatzaufnahme(String technZusatzaufnahme)

    - #### getDoppelbefundung

          public String getDoppelbefundung()

      Setting der Doppelbefundung.
      Angabe: Muss.
      Mögliche Werte siehe `DoppelbefundungTypConstant`.
      ParameterID: 0177.
      Returns:
        Doppelbefundung

    - #### setDoppelbefundung

          public void setDoppelbefundung(String doppelbefundung)

    - #### getEndergebnis

          public String getEndergebnis()

      Endergebnis (SC-SCORE).
      Angabe: Muss.
      Mögliche Werte siehe `ErgebnisEndbefundSCRTypConstant`.
      ParameterID: 0178.
      Returns:
        Endergebnis

    - #### setEndergebnis

          public void setEndergebnis(String endergebnis)

    - #### getDichte

          public String getDichte()

      Ergebnis Dichte (D-SCORE).
      Angabe: Muss.
      Mögliche Werte siehe `DichteTypConstant`.
      ParameterID: 0179.
      Returns:
        Dichte

    - #### setDichte

          public void setDichte(String dichte)

    - #### getGroesseLinks

          public String getGroesseLinks()

      Größe der Läsion links in mm.
      Angabe: Bedingt. Bei Befüllung von Endergebnis mit einem Wert >= 4 (4 oder 5): GroesseRechts und/oder GroesseLinks muss angegeben werden. Bei Befüllung von Endergebnis mit einem Wert < 4 (0, 1, 2, oder 3): Weder GroesseRechts noch GroesseLinks darf angegeben werden.
      Format: numerisch, maximal 3-stellig, Wertebereich 0-200. Hierbei steht der Wert '0' für 'nicht bestimmbar'.
      ParameterID: 0189.
      Returns:
        GroesseLinks

    - #### setGroesseLinks

          public void setGroesseLinks(String groesseLinks)

    - #### getGroesseRechts

          public String getGroesseRechts()

      Größe der Läsion rechts in mm.
      Angabe: Bedingt. Bei Befüllung von Endergebnis mit einem Wert >= 4 (4 oder 5): GroesseRechts und/oder GroesseLinks muss angegeben werden. Bei Befüllung von Endergebnis mit einem Wert < 4 (0, 1, 2, oder 3): Weder GroesseRechts noch GroesseLinks darf angegeben werden.
      Format: numerisch, maximal 3-stellig, Wertebereich 0-200. Hierbei steht der Wert '0' für 'nicht bestimmbar'.
      ParameterID: 0181.
      Returns:
        GroesseRechts

    - #### setGroesseRechts

          public void setGroesseRechts(String groesseRechts)

    - #### getVorgehen

          public String getVorgehen()

      Weiteres Vorgehen bei Endergebnis gleich SC3.
      Angabe: Bedingt. Muss gesetzt werden, wenn Endergebnis gleich '3' ('SC3'). Darf anderenfalls nicht gesetzt werden.
      Mögliche Werte siehe `WeiteresVorgehenTypConstant`.
      ParameterID: 0182.
      Returns:
        Vorgehen

    - #### setVorgehen

          public void setVorgehen(String vorgehen)

    - #### getInfoDatum

          public String getInfoDatum()

      Datum, ab dem der Befund versand- / abholbereit ist.
      Angabe: Muss.
      Muss größer oder gleich dem Datum in BefundungsZeitstempel und kleiner oder gleich dem aktuellen Datum + 1 Monat sein.
      Format: TT.MM.JJJJ
      ParameterID: 0186.
      Returns:
        InfoDatum

    - #### setInfoDatum

          public void setInfoDatum(String infoDatum)

    - #### getPatientID

          public String getPatientID()

      ID der Patientin in der Vertragspartnersoftware.
      Angabe: Kann.
      Wird die PatientID vom Radiologen nicht angegeben, können die probandinnenbezogenen Daten im Feedbackbericht nicht zugeordnet werden.
      Format: maximal 64-stellig.
      ParameterID: 0187.
      Returns:
        PatientID

    - #### setPatientID

          public void setPatientID(String patientID)

    - #### getWiederbestellung

          public String getWiederbestellung()

      Grund für eine Wiederbestellung.
      Angabe: Muss.
      Mögliche Werte siehe `WiederbestellungsGrundTypConstant`.
      ParameterID: 0188.
      Returns:
        Wiederbestellung

    - #### setWiederbestellung

          public void setWiederbestellung(String wiederbestellung)

    - #### getArtUntersuchung

          public String getArtUntersuchung()

      Art der Untersuchung.
      Angabe: Bedingt. Muss angegeben werden, wenn es sich um eine SCR-Dokumentation zu einem Rescreen-Token handelt. Darf nicht angegeben werden, wenn es sich um eine SCR-Dokumentation zu einem Regulären Token handelt. (Siehe Funktion {link `IBkfService.checkBkfToken(String, String, String, Long, String, String)` checkBkfToken}).
      Mögliche Werte siehe `ArtUntersuchungTypConstant`. Bei Erfassung einer Folge-/Korrekturdokumentation muss der Parameter mit demselben Wert befüllt werden, der auch bei der Erstdokumentation angegeben wurde.
      ParameterID: 0190.
      Returns:
        ArtUntersuchung

    - #### setArtUntersuchung

          public void setArtUntersuchung(String artUntersuchung)

    - #### getTomosynthese

          public String getTomosynthese()

      Tomosynthese durchgeführt.
      Angabe: Muss.
      Mögliche Werte siehe `JaNeinTypConstant`.
      ParameterID: 0191.
      Returns:
        Tomosynthese

    - #### setTomosynthese

          public void setTomosynthese(String tomosynthese)

    - #### getZustimmungFeedback

          public String getZustimmungFeedback()

      Zustimmung zu Feedbackbericht.
      Angabe: Muss.
      Mögliche Werte siehe `JaNeinTypConstant`.
      ParameterID: 0192
      Returns:
        ZustimmungFeedback

    - #### setZustimmungFeedback

          public void setZustimmungFeedback(String zustimmungFeedback)